package org.ta.pddserver.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.ta.pdd.entity.CollectFreightFeeDetailEntity;
import org.ta.pddserver.mapper.CollectFreightFeeDetailMapper;
import org.ta.pddserver.service.CollectFreightFeeDetailService;

@Service
public class CollectFreightFeeDetailImpl extends ServiceImpl<CollectFreightFeeDetailMapper, CollectFreightFeeDetailEntity> implements CollectFreightFeeDetailService {


    public CollectFreightFeeDetailEntity getByPayOrder(String payOrderCode) {
        return this.baseMapper.findByPayOrderId(payOrderCode);
    }

    public CollectFreightFeeDetailEntity getByOrderCode(String orderCode) {
        return this.baseMapper.findByOrderCode(orderCode);
    }

    public Integer deleteByOrderCode(String orderCode) {
        return this.baseMapper.deleteByOrderCode(orderCode);
    }
}